OPL(4)

NAME
opl - Yamaha OPL2 and OPL3 FM MIDI synthesizer driver

SYNOPSIS
opl* at cmpci? flags 1
opl* at eso?
opl* at ess?
opl* at fms?
opl0 at isa? port 0x388
opl* at sb?
opl* at sv?
opl* at wss?
opl* at yds?
opl* at ym?
midi* at opl?

DESCRIPTION
The opl driver provides support for the Yamaha OPL2 (YM3812) and OPL3 (YMF262) chips. The chips are FM synthesizers and are capable of producing a wide range of sounds.

Access to the device is through the MIDI driver.

The opl driver usually attaches to a sound card, but it can also sit directly on the ISA bus.

If “flags 1” is specified, the opl driver handles left and right channels of OPL3 swapped. Use this flag if your device has such problem.

SEE ALSO
cmpci(4), eso(4), ess(4), fms(4), isa(4), midi(4), sb(4), sv(4), wss(4), yds(4), ym(4)

HISTORY
The opl device driver appeared in NetBSD 1.4.

BUGS
The OPL3 chip is operated in OPL2 mode despite being more capable.